import React, { ReactNode } from 'react';

type Animations = {
    element?: HTMLElement;
    isAnimating?: boolean;
    isRemoved?: boolean;
};
type AnimateProps = {
    id: string;
    name: AnimationNames;
    duration?: number;
    delay?: number;
    repeat?: number;
    direction?: "normal" | "reverse" | "alternate" | "alternate-reverse";
    timing?: "ease" | "ease-in" | "ease-out" | "ease-in-out" | "linear" | "step-start" | "step-end" | (string & {});
    removeAfter?: boolean;
};
type AnimateInProps = {
    name: AnimationNames;
    duration?: number;
    delay?: number;
    repeat?: number;
    direction?: "normal" | "reverse";
    timing?: "ease" | "ease-in" | "ease-out" | "ease-in-out" | "linear" | "step-start" | "step-end" | (string & {});
    removeAfter?: boolean;
};
type AnimationNames = "bounce" | "flash" | "pulse" | "rubberBand" | "shakeX" | "shakeY" | "headShake" | "swing" | "tada" | "wobble" | "jello" | "heartBeat" | "backInDown" | "backInLeft" | "backInRight" | "backInUp" | "backOutDown" | "backOutLeft" | "backOutRight" | "backOutUp" | "bounceIn" | "bounceInDown" | "bounceInLeft" | "bounceInRight" | "bounceInUp" | "bounceOut" | "bounceOutDown" | "bounceOutLeft" | "bounceOutRight" | "bounceOutUp" | "fadeIn" | "fadeInDown" | "fadeInDownBig" | "fadeInLeft" | "fadeInLeftBig" | "fadeInRight" | "fadeInRightBig" | "fadeInUp" | "fadeInUpBig" | "fadeInTopLeft" | "fadeInTopRight" | "fadeInBottomLeft" | "fadeInBottomRight" | "fadeOut" | "fadeOutDown" | "fadeOutDownBig" | "fadeOutLeft" | "fadeOutLeftBig" | "fadeOutRight" | "fadeOutRightBig" | "fadeOutUp" | "fadeOutUpBig" | "fadeOutTopLeft" | "fadeOutTopRight" | "fadeOutBottomRight" | "fadeOutBottomLeft" | "flip" | "flipInX" | "flipInY" | "flipOutX" | "flipOutY" | "lightSpeedInRight" | "lightSpeedInLeft" | "lightSpeedOutRight" | "lightSpeedOutLeft" | "rotateIn" | "rotateInDownLeft" | "rotateInDownRight" | "rotateInUpLeft" | "rotateInUpRight" | "rotateOut" | "rotateOutDownLeft" | "rotateOutDownRight" | "rotateOutUpLeft" | "rotateOutUpRight" | "hinge" | "jackInTheBox" | "rollIn" | "rollOut" | "zoomIn" | "zoomInDown" | "zoomInLeft" | "zoomInRight" | "zoomInUp" | "zoomOut" | "zoomOutDown" | "zoomOutLeft" | "zoomOutRight" | "zoomOutUp" | "slideInDown" | "slideInLeft" | "slideInRight" | "slideInUp" | "slideOutDown" | "slideOutLeft" | "slideOutRight" | "slideOutUp" | {};

declare const useAnimate: () => {
    animate: ({ id, name, duration, delay, repeat, direction, timing, removeAfter, }: AnimateProps) => void;
    animations: {
        [id: string]: Animations;
    };
};
declare function AnimationContextProvider({ children, }: {
    children: ReactNode;
}): JSX.Element;
declare function Animation({ id, animateIn, children, style, }: {
    id?: string;
    animateIn?: AnimateInProps;
    children: ReactNode;
    style?: React.CSSProperties;
}): JSX.Element;

export { Animation, AnimationContextProvider, useAnimate };
//# sourceMappingURL=index.d.ts.map
